Bug 519356 - nouveau driver uses wrong freq on Samsung SyncMaster 940BF
Summary: nouveau driver uses wrong freq on Samsung SyncMaster 940BF
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 10:11 UTC by Tim Lauridsen
Modified: 2018-04-11 09:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 22:42:14 UTC


Attachments (Terms of Use)
Display info - nouveau driver (508.63 KB, image/jpeg)
2009-08-26 10:16 UTC, Tim Lauridsen
no flags Details
Display info - nv driver (339.89 KB, image/jpeg)
2009-08-26 10:17 UTC, Tim Lauridsen
no flags Details
Xorg.0.log (64.42 KB, text/plain)
2009-08-26 10:17 UTC, Tim Lauridsen
no flags Details

Description Tim Lauridsen 2009-08-26 10:11:33 UTC
Description of problem:

When running with the nouveau driver in F12 Alpha and F11 in 1280x1024 (60Hz)
the monitor is setup to use 69 Khz / 65 Hz and the picture is not fitting the screen (the botton panel is hidden, and the fonts look weird)

When using the nv driver and closed source driver it is using 64.1 / 60 Hz
and every thing is looking good.

smolt profile for the computer:
http://www.smolts.org/client/show/pub_9efe092f-fb6c-41e6-abf3-bc76f72473c0

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.i586 (F11)


How reproducible:
Every time


Steps to Reproduce:
1. Boot F12 Alpha live Cd or Select the Nouveau driver in system-config-display in F11
2.
3.
  
Actual results:
Screeen look wierd (wrong vert/hort freq)

Expected results:
Screen looking fine

Additional info:

Comment 1 Tim Lauridsen 2009-08-26 10:16:27 UTC
Created attachment 358695 [details]
Display info - nouveau driver

Comment 2 Tim Lauridsen 2009-08-26 10:17:10 UTC
Created attachment 358696 [details]
Display info - nv driver

Comment 3 Tim Lauridsen 2009-08-26 10:17:46 UTC
Created attachment 358697 [details]
Xorg.0.log

Comment 4 Matěj Cepl 2009-11-05 17:14:26 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 5 Bug Zapper 2009-11-16 11:41:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Chris Campbell 2009-12-05 16:32:25 UTC
Tim, have you tried a Fedora 12 LiveCD since release?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Matěj Cepl 2010-02-26 12:23:55 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 8 Tim Lauridsen 2010-02-26 15:48:45 UTC
The system has died on me, so i cant test any longer, feel free to close the report.

Comment 9 Chris Campbell 2010-02-26 22:42:14 UTC
Thank you for letting us know.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.